/**
 * This file is released under the GNU General Public License.
 * Refer to the COPYING file distributed with this package.
 *
 * Copyright (c) 2008-2009 WURFL-Pro srl
 */
package net.sourceforge.wurfl.core.request.normalizer.specific;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;

/**
 * This Normalizer returns the user-agent unchanged.
 * 
 * @author Tommaso Teofili
 * 
 * @version $Id: NullNormalizer.java 381 2009-11-17 14:29:45Z filippo.deluca $
 */
public class NullNormalizer implements UserAgentNormalizer {

	public String normalize(String userAgent) {
		return userAgent;
	}

}
