/*
 * This file is released under the GNU General Public License.
 * Refer to the COPYING file distributed with this package.
 *
 * Copyright (c) 2008-2009 WURFL-Pro srl
 */
/*
 * $Id: OrdinalStringIndexer.java 381 2009-11-17 14:29:45Z filippo.deluca $
 */
package net.sourceforge.wurfl.core.utils;

/**
 * 
 * 
 * @author Filippo De Luca
 * @version $Id: OrdinalStringIndexer.java 381 2009-11-17 14:29:45Z filippo.deluca $
 */
public class OrdinalStringIndexer implements StringIndexer {

	private final String needle;
	
	private final int ordinal;
	
	public OrdinalStringIndexer(final String needle, int ordinal) {
		this.needle = needle;
		this.ordinal = ordinal;
	}

	public int getIndex(String target) {

		return org.apache.commons.lang.StringUtils.ordinalIndexOf(target, needle, ordinal);
	}

}
