/**
 * This file is released under the GNU General Public License.
 * Refer to the COPYING file distributed with this package.
 *
 * Copyright (c) 2008-2009 WURFL-Pro srl
 */
package net.sourceforge.wurfl.core.handlers;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;

/**
 * Intercept all user-agent.
 * 
 * @author Fantayeneh Asres Gizaw
 * @author Filippo De Luca
 * 
 * @version $Id: CatchAllHandler.java 381 2009-11-17 14:29:45Z filippo.deluca $
 */
public class CatchAllHandler extends Handler {

	public CatchAllHandler(UserAgentNormalizer normalizer) {
		super(normalizer);
	}

	/**
	 * Returns always true.
	 */
	public boolean canHandle(String userAgent) {
		return true;
	}

}
