/**
 * This file is released under the GNU General Public License.
 * Refer to the COPYING file distributed with this package.
 *
 * Copyright (c) 2008-2009 WURFL-Pro srl
 */
package net.sourceforge.wurfl.core.handlers.matchers;

import net.sourceforge.wurfl.core.handlers.Handler;

/**
 * Handles Firefox web browser using TK(2).
 * 
 * @author Fantayeneh Asres Gizaw
 * @author Filippo De Luca
 * 
 * @version $Id: FirefoxMatcher.java 381 2009-11-17 14:29:45Z filippo.deluca $
 */
public class FirefoxMatcher extends AbstractMatcher {
	
	public static final int FIREFOX_TK_TOLLERANCE = 2;
	
	public FirefoxMatcher(Handler handler) {
		super(handler);
	}


}
